%define module      Email-Valid
%define name        perl-%{module}
%define version     0.17.6
%define revision    0.176
%define release     %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Check validity of Internet email addresses
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%module/
Source:         http://www.cpan.org/modules/by-module/Email/%{module}-%{revision}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:  perl-devel >= 0:5.600
%endif
BuildRequires:  perl(Mail::Address)
BuildRequires:  perl(Net::DNS)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This module determines whether an email address is well-formed, and
optionally, whether a mail host exists for the domain or whether
the top level domain of the email address is valid.  

%prep
%setup -q -n %{module}-%{revision}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Email
%{_mandir}/*/*


%changelog
* Wed Aug 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.17.6-1mdv2007.0
- new version (upstream version 0.176)

* Mon Jun 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.17.5-1mdv2007.0
- New version (upstream versop, 0.175)

* Wed Jun 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.17.4-1mdv2007.0
- New version (upstream version 0.174)

* Thu Jun 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.17.2-1mdv2007.0
- New version (upstream version 0.172)

* Tue Jun 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.17.1-1mdv2007.0
- New version (upstream version 0.171)

* Wed Jun 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2007.0
- New release 0.16
- spec cleanup
- better URL
- better summary

* Sun Feb 05 2006 Stefan van der Eijk <stefan@eijk.nu> 0.15-4mdk
- Rebuild
- %%mkrel

* Mon Jan 17 2005 Stefan van der Eijk <stefan@mandrake.org> 0.15-3mdk
- add missing BuildRequires perl-Net-DNS

* Mon Jan 17 2005 Stefan van der Eijk <stefan@mandrake.org> 0.15-2mdk
- yearly rebuild

* Thu Nov 27 2003 Stefan van der Eijk <stefan@eijk.nu> 0.15-1mdk
- initial mdk package
